import QtQuick
import QtQuick.Controls

Rectangle {
    id: splashScreen
    width: 800
    height: 480
    opacity: 1
    color: "transparent"

    Image {
        id: bg
        x: 0
        y: 0
        source: "assets/bg.png"
    }

    Image {
        id: slogan
        x: 154
        y: 211
        opacity: 0
        source: "assets/slogan.png"
    }

    Image {
        id: qtLogo
        x: 245
        y: 334
        opacity: 0
        source: "assets/qtLogo.png"
    }

    Image {
        id: speedtrekLogo
        x: 88
        y: 109
        opacity: 0
        source: "assets/speedtrekLogo.png"
    }

    SequentialAnimation {
        id: bootAnimation
        running: true

        ParallelAnimation {
            id: parallelAnimation

            NumberAnimation {
                id: numberAnimation
                target: speedtrekLogo
                property: "x"
                to: (splashScreen.width - speedtrekLogo.width) / 2
                from: (splashScreen.width - speedtrekLogo.width) / 2 - 100
                duration: 1000
                easing {
                    type: Easing.OutCubic
                }
            }
            NumberAnimation {
                id: numberAnimation2
                target: speedtrekLogo
                property: "opacity"
                to: 1
                from: 0
                duration: 1000
            }
            NumberAnimation {
                id: numberAnimation3
                target: slogan
                property: "x"
                to: (splashScreen.width - slogan.width) / 2
                from: (splashScreen.width - slogan.width) / 2 + 100
                duration: 1000
                easing {
                    type: Easing.OutCubic
                }
            }
            NumberAnimation {
                id: numberAnimation4
                target: slogan
                property: "opacity"
                to: 1
                from: 0
                duration: 1000
            }
        }

        ParallelAnimation {
            id: parallelAnimation2

            NumberAnimation {
                id: numberAnimation5
                target: qtLogo
                property: "opacity"
                to: 1
                from: 0
                duration: 1000
            }
            NumberAnimation {
                id: numberAnimation6
                target: qtLogo
                property: "y"
                to: 334
                from: 334 + 20
                duration: 1000
                easing {
                    type: Easing.OutCubic
                }
            }
        }

        PauseAnimation {
            duration: 2000
        }

        NumberAnimation {
            id: numberAnimation7
            target: splashScreen
            property: "opacity"
            to: 0
            from: 1
            duration: 1000
        }
    }
}

/*##^##
Designer {
    D{i:0;uuid:"a9b4123f-46a4-599b-90db-2170e8c4b9e7"}D{i:1;uuid:"e54114c9-5d5a-590d-8d6f-9c7feb0ad7e6"}
D{i:2;uuid:"26360cf2-6404-5a94-970e-bf3a34435554"}D{i:3;uuid:"7a2143aa-7d15-5ba6-bb5a-e73f59068a71"}
D{i:4;uuid:"0e5e2bd4-cf64-548a-a81d-1fbd4b780c36"}
}
##^##*/

